%global momorel 1
%global qtver 3.3.5
%global kdever 3.5.1
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDbg - KDE Debugging GUI around gdb
Name: kdbg
Version: 2.0.4
Release: %{momorel}m
License: GPL
URL: http://members.nextra.at/johsixt/kdbg.html 
Group: Development/Tools
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 7e2d0a144a3bd6225f6769dcf29d8b17
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
Requires: gdb
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libpng-devel >= 1.2.0

%description
KDbg is a graphical user interface to gdb, the GNU debugger. It provides
an intuitive interface for setting breakpoints, inspecting variables, and
stepping through code.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-rpath \
	--enable-mt \
	--enable-kernel-threads

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog README TODO
%{_bindir}/kdbg
%{_datadir}/applications/kde/kdbg.desktop
%{_datadir}/apps/kdbg
%{_datadir}/doc/HTML/*/kdbg
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kdbg.mo

%changelog
* Tue May 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-1m)
- update to 2.0.4

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-1m)
- version 2.0.3

* Mon Dec  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-2m)
- rebuild against KDE 3.5 RC1

* Sun Oct 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-1m)
- version 2.0.1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-2m)
- add --disable-rpath to configure

* Sun Jul 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-1m)
- version 2.0.0
- remove desktopfile.patch
- remove lib64.patch
- remove desktop-file-utils from BuildPreReq
- clean up %%install section

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.10-5m)
- add --with-qt-libraries=%%{qtdir}/lib to configure
- BuildPreReq: desktop-file-utils
- add desktopfile.patch

* Sun Apr  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.10-4m)
- change Source0 URI
- add CFLAGS and CXXFLAGS to configure
- modify %%files

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.10-3m)
- enable x86_64.

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.10-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.10-1m)
- update to 1.2.10

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.9-4m)
- rebuild against KDE 3.2.0

* Fri Dec 19 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.2.9-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.2.9-2m)
- rebuild against for qt-3.2.2

* Thu Sep 11 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.9-1m)
- update to 1.2.9 
- security fix
- use %%momorel and %%make macro

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-5m)
- remove requires: qt-Xt

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-4m)
- rebuild against for XFree86-4.3.0

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2.5-3m)
- rebuild against kde-3.0.2 & qt-3.0.5.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org
- (1.2.5-2k)
- rebuild against kde 3.0rc3

* Wed Nov 23 2001 Toru Hoshina <t@kondara.org
- (1.2.2-12k)
- rebuild against kde 2.2.2.

* Thu Nov  8 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-10k)
- nigirisugi.
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-8k)
- rebuild against libpng 1.2.0.

* Fri Oct  5 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-6k)
- rebuild against kde 2.2.1.

* Wed Sep 26 2001 Toru Hoshina <t@kondara.org>
- (1.2.2-4k)
- all of .mo's moved to kde-i18n 2.2.0.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.2-2k)
- rebuild against kde 2.2.

* Sun Aug 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-18k)
- rebuild against kde 2.2beta1. no longer require kdesupport.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-16k)
- rebuild against kde 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-14k)
- rebuild against kde 2.2alpha1.

* Wed May  2 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-12k)
- stable release.

* Fri Mar 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.0-8k)
- rebuild against KDE 2.1

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.0-6k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-4k]
- backport 1.2.0-5k(Jirai).

* Wed Jan 10 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-2k]
- backport 1.2.0-3k(Jirai).

* Sat Jan 06 2001 Kenichi Matsubara <m@kondara.org>
- [1.2.0-3k]
- initial release for Kondara MNU/Linux.

